// Components.cpp : implementation file
//

#include "stdafx.h"
#include "CDXCreator.h"
#include "Components.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CComponents dialog


CComponents::CComponents(CWnd* pParent /*=NULL*/)
	: CDialog(CComponents::IDD, pParent)
{
	//{{AFX_DATA_INIT(CComponents)
	m_Input = FALSE;
	m_Music = FALSE;
	m_Sound = FALSE;
	//}}AFX_DATA_INIT
}


void CComponents::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CComponents)
	DDX_Check(pDX, IDC_INPUT_CHECK, m_Input);
	DDX_Check(pDX, IDC_MUSIC_CHECK, m_Music);
	DDX_Check(pDX, IDC_SOUND_CHECK, m_Sound);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CComponents, CDialog)
	//{{AFX_MSG_MAP(CComponents)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CComponents message handlers

void CComponents::OnOK() 
{
	CDialog::OnOK();
}
